Bug 444689 - Won't her Intel CH4 sound untill increase of pcm volume
Won't her Intel CH4 sound untill increase of pcm volume
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-utils (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-29 23:25 EDT by Tobias Weiss
Modified: 2014-06-30 13:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:29:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lebensmotto: needinfo-


Attachments (Terms of Use)

  None (edit)
Description Tobias Weiss 2008-04-29 23:25:15 EDT
Description of problem:

After boot I do not hear any sound. It will only work if I increase with the
mixer the pcm volume to a higher setting, f.e. from 75% to 90%.

Version-Release number of selected component (if applicable):

2.22.1

How reproducible:

always

Steps to Reproduce:
1. boot FC9
2. play a file, f.e. some ogg-music. you won't hear anything
3. go to mixer, raise pcm volume 
  
Actual results:

s.a.

Expected results:

playback from the beginning

Additional info:
Comment 1 Bug Zapper 2008-05-14 06:24:46 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Lennart Poettering 2008-05-21 10:23:21 EDT
Hmm, seems like yet another one of those incomplete mixer initialization issues.
REassigning to alsa-utils.

Comment 3 Martin Stransky 2008-06-02 07:11:32 EDT
Please try to run "alsaunmute -v" after boot (it's a command line utility). Is
the sound audible after that?
Comment 4 Leo Canale 2008-06-06 15:23:50 EDT
(In reply to comment #3)
> Please try to run "alsaunmute -v" after boot (it's a command line utility). Is
> the sound audible after that?
[engwnbie@scooter ~]$ alsaunmute -v
Unmuting ALSA device 'default'...
Card 0 Driver snd_intel8x0 Volume 75%...
Unmuting ...
Play. Switch master(0) to 1
Play. Volume master(0) to 23
Play. Switch master(1) to 1
Play. Volume master(1) to 23
Play. Switch master mono(0) to 1
Play. Volume master mono(0) to 23
Play. Switch pcm(0) to 1
Play. Volume pcm(0) to 23
Play. Switch pcm(1) to 1
Play. Volume pcm(1) to 23
Cap. Switch cd(0) to 1
Play. Switch cd(0) to 1
Play. Volume cd(0) to 23
Cap. Switch cd(1) to 1
Play. Switch cd(1) to 1
Play. Volume cd(1) to 23
Cap. Switch mic(0) to 0
Cap. Volume mic(0) to 0
Play. Switch mic(0) to 0
Play. Volume mic(0) to 0
Cap. Switch mic(1) to 0
Cap. Volume mic(1) to 0
Unmuting snd_intel8x0...
Play. Switch external amplifier(0) to 1
[engwnbie@scooter ~]$ 
yes, sound works after using utility!

Comment 5 Leo Canale 2008-06-08 09:48:41 EDT
Today I "alsaunmute -v" did not work?? I had to open the Volume Control gui and
mute and then unmute the Master volume slider. Then sound started working. I'm
also getting a clicking sound now after the latest updates.
[root@scooter ~]# uname -a
Linux scooter.myusenet 2.6.25.4-30.fc9.i686 #1 SMP Wed May 21 18:12:35 EDT 2008
i686 i686 i386 GNU/Linux
[root@scooter ~]# 
Comment 6 Martin Stransky 2008-06-17 08:26:03 EDT
Can you attach output of "alsaunmute -v" when it doesn't work? (i.e. you have to
enable the channels manually)
Comment 7 Leo Canale 2008-06-21 16:43:27 EDT
(In reply to comment #6)
> Can you attach output of "alsaunmute -v" when it doesn't work? (i.e. you have to
> enable the channels manually)

[engwnbie@scooter ~]$ alsaunmute -v
Unmuting ALSA device 'default'...
Card 0 Driver snd_intel8x0 Volume 75%...
Unmuting ...
Play. Switch master(0) to 1
Play. Volume master(0) to 23
Play. Switch master(1) to 1
Play. Volume master(1) to 23
Play. Switch master mono(0) to 1
Play. Volume master mono(0) to 23
Play. Switch pcm(0) to 1
Play. Volume pcm(0) to 23
Play. Switch pcm(1) to 1
Play. Volume pcm(1) to 23
Cap. Switch cd(0) to 1
Play. Switch cd(0) to 1
Play. Volume cd(0) to 23
Cap. Switch cd(1) to 1
Play. Switch cd(1) to 1
Play. Volume cd(1) to 23
Cap. Switch mic(0) to 0
Cap. Volume mic(0) to 0
Play. Switch mic(0) to 0
Play. Volume mic(0) to 0
Cap. Switch mic(1) to 0
Cap. Volume mic(1) to 0
Unmuting snd_intel8x0...
Play. Switch external amplifier(0) to 1
[engwnbie@scooter ~]$ 

The output is the same, when it does not work.
Then I used the GUI to mute and un-mute the PCM Sliders, here is the output:
[engwnbie@scooter ~]$ alsaunmute -v
Unmuting ALSA device 'default'...
Card 0 Driver snd_intel8x0 Volume 75%...
Unmuting ...
Play. Switch master(0) to 1
Play. Volume master(0) to 23
Play. Switch master(1) to 1
Play. Volume master(1) to 23
Play. Switch master mono(0) to 1
Play. Volume master mono(0) to 23
Play. Switch pcm(0) to 1
Play. Volume pcm(0) to 23
Play. Switch pcm(1) to 1
Play. Volume pcm(1) to 23
Cap. Switch cd(0) to 1
Play. Switch cd(0) to 1
Play. Volume cd(0) to 23
Cap. Switch cd(1) to 1
Play. Switch cd(1) to 1
Play. Volume cd(1) to 23
Cap. Switch mic(0) to 0
Cap. Volume mic(0) to 0
Play. Switch mic(0) to 0
Play. Volume mic(0) to 0
Cap. Switch mic(1) to 0
Cap. Volume mic(1) to 0
Unmuting snd_intel8x0...
Play. Switch external amplifier(0) to 1
[engwnbie@scooter ~]$ 
Looks the same, does it not?
Comment 8 Bug Zapper 2009-06-09 20:31:42 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 11:29:31 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Tobias Weiss 2014-06-30 13:24:24 EDT
(In reply to Martin Stransky from comment #6)
> Can you attach output of "alsaunmute -v" when it doesn't work? (i.e. you
> have to
> enable the channels manually)
Comment 11 Tobias Weiss 2014-06-30 13:26:06 EDT
(In reply to Tobias Weiss from comment #10)
> (In reply to Martin Stransky from comment #6)
> > Can you attach output of "alsaunmute -v" when it doesn't work? (i.e. you
> > have to
> > enable the channels manually)

BugZilla put this up to the present again. I do not own the device on which I encountered this problem. Lets put this bug to sleep again.

Note You need to log in before you can comment on or make changes to this bug.